Get the results of the outward consignment summary without product details report

Body·
application/json
  • actualDispatchDateFrom
    Type: string | nullFormat: date

    The actual dispatch start date in the consignment date range

  • actualDispatchDateTo
    Type: string | nullFormat: date

    The actual dispatch end date in the consignment date range

  • carrierPartnerId
    Type: string | nullFormat: uuid

    The carrier partner to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • dateFrom
    Type: string | nullFormat: date

    The start date in the consignment date range

  • dateTo
    Type: string | nullFormat: date

    The end date in the consignment date range

  • dispatchVariancesOnly
    Type: boolean

    If the report should show only dispatch variances

  • includeCharges
    Type: boolean

    If the report should include charges. Note: Requires correct charge permission.

  • mode
    Type: integerenum

    Integer numbers.

    values
    • DateEntered = 1
    • ActualDispatchDate = 2
    • NotYetDispatched = 3
  • serviceTypeId
    Type: string | nullFormat: uuid

    A service type Id.

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • application/json
Request Example for post/v1/reports/outward-consignment-summary
curl https://api.consignlyhq.com/v1/reports/outward-consignment-summary \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "mode": "enum (DateEntered = 1, ActualDispatchDate = 2, NotYetDispatched = 3)",
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "actualDispatchDateFrom": "date (YYYY-MM-DD)",
  "actualDispatchDateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "carrierPartnerId": null,
  "warehouseId": null,
  "serviceTypeId": null,
  "dispatchVariancesOnly": true,
  "includeCharges": true
}'
[
  {
    "clientName": null,
    "warehouseName": null,
    "consignmentNumber": null,
    "status": null,
    "poNumber": null,
    "soNumber": null,
    "receiversReference": null,
    "sendersReference": null,
    "carrierName": null,
    "carrierReferenceNumber": null,
    "serviceTypeNames": [
      "string"
    ],
    "dateEntered": "date (YYYY-MM-DD)",
    "createdDate": "date (YYYY-MM-DD)",
    "expectedDispatchDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
    "actualDispatchDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
    "attention": null,
    "destination": null,
    "streetAddress": null,
    "suburb": null,
    "city": null,
    "state": null,
    "postcode": null,
    "country": null,
    "atl": true,
    "quantity": 1,
    "volumeM3": 1,
    "weightKG": 1,
    "packages": null,
    "freightIncurred": null,
    "freightCharged": null,
    "activityCharges": null
  }
]